export interface GetDestinationFilePathProps {
    templatePath: string;
    destinationPath: string;
    file: string;
    data: any;
}
export declare function getDestinationFilePath({ templatePath, destinationPath, file, data }: GetDestinationFilePathProps): string;
export interface CreateTemplateProps {
    templatePath: string;
    templateFile: string;
    destinationPath: string;
    data: any;
}
export declare function createTemplate({ templatePath, templateFile, destinationPath, data }: CreateTemplateProps): Promise<void>;
export interface RenderTemplatesProps {
    templatePath: string;
    templatePattern: string;
    destinationPath: string;
    data: any;
}
export declare function renderTemplates({ templatePath, templatePattern, destinationPath, data }: RenderTemplatesProps): Promise<void>;
export interface RenderRegularFilesProps {
    templatePath: string;
    regularPattern: string;
    destinationPath: string;
    data: any;
    ignorePattern?: string;
}
export declare function renderRegularFiles({ templatePath, regularPattern, destinationPath, data, ignorePattern }: RenderRegularFilesProps): Promise<void>;
export interface RenderFoldersProps {
    templatePath: string;
    folderPattern: string;
    destinationPath: string;
    data: any;
    ignorePattern?: string;
}
export declare function renderFolders({ templatePath, folderPattern, destinationPath, data, ignorePattern }: RenderFoldersProps): Promise<void>;
export interface RenderMacrosProps {
    templatePath: string;
    macroPattern: string;
    destinationPath: string;
    data: any;
}
export declare function renderMacros({ templatePath, macroPattern, destinationPath, data }: RenderMacrosProps): Promise<void>;
export interface RenderPartialsProps {
    templatePath: string;
    partialPattern: string;
    partialsPath: string;
    destinationPath: string;
    data: any;
}
export declare function renderPartials({ templatePath, partialPattern, partialsPath, destinationPath, data }: RenderPartialsProps): Promise<void>;
export interface RenderTemplateProps {
    templatePath: string;
    destinationPath: string;
    data?: any;
    partialsPath?: string;
    templatePattern?: string;
    regularPattern?: string;
    folderPattern?: string;
    partialPattern?: string;
    macroPattern?: string;
    ignorePattern?: string;
}
export declare function renderTemplate({ templatePath, destinationPath, data, partialsPath, templatePattern, regularPattern, macroPattern, partialPattern, folderPattern, ignorePattern }: RenderTemplateProps): Promise<{
    templatePath: string;
    destinationPath: string;
    createdIn: string;
}>;
