"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs-extra"));
const path_1 = require("path");
const recurse = ({ path = __dirname, root }) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    path = path_1.resolve(path);
    const name = path_1.basename(path);
    let item = { path, name };
    const stat = yield fs.stat(path);
    if (stat.isFile()) {
        const buffer = yield fs.readFile(path);
        const content = buffer.toString();
        return {
            name,
            path: path_1.relative(root, path),
            kind: "file",
            content
        };
    }
    else if (stat.isDirectory()) {
        let children = (yield fs.readdir(path));
        const items = yield Promise.all(children.map((child) => tslib_1.__awaiter(this, void 0, void 0, function* () {
            return yield recurse({ path: path_1.join(path, child), root });
        })));
        return {
            name,
            path: path_1.relative(root, path),
            kind: "directory",
            children: items
        };
    }
    else {
        throw new Error(`error reading ${path}`);
    }
});
exports.tree = ({ path = __dirname }) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    return yield recurse({ path, root: path });
});
//# sourceMappingURL=serialize.js.map